Morpho - Bug #6583

Morpho doesn't enforce the users to input values of both the code and codeExplanation for the
missingValueCode element

08/11/2014 11:38 AM - Jing Tao

Status: Resolved Start date: 08/11/2014
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.10.2 Spent time: 0.00 hour
Bugzilla-ld:

Description

EML specification requires the both code and codeExplanation elements for the missingValueCode element. However, in the
attribute editing panel, a user can only input the value for the codeExplanation without the value for the code in Morpho. This cause
to create an invalid eml document.

We should enforce users to input both values.

History

#1 - 08/11/2014 11:38 AM - Jing Tao

- Assignee set to Jing Tao

#2 - 08/12/2014 04:05 PM - Jing Tao
- Status changed from New to Resolved

- Target version setto 1.10.2

In the AttributePage.java, the enforcement code was added in the onAdvance method. Users should fill both of them if they filled one of them.

The code was committed to the 1.10 branch and the trunk.
